consultar();
//Consultar all
function dataTable(){
    let pe= permiso;
        let u = username;
        $.ajax({
            url: 'http://localhost/sis-track/back-end/entradas.php',
            type: 'GET',
            success: function(response){
            let o = JSON.parse(response);;
                $('#list_guias').dataTable( {
                    retrieve: true,
                    data : o,
                    columns: [
                        {"data" : "id"}, 
                        {"data" : "pedido"},
                        {"data" : "cliente"},
                        {"data" : "articulo"},
                        {"data" : "gl"},
                        {"data" : "remision"},
                        {"data" : "novedad"},
                        {"data" : "btn"}
                                
                    ],
                    "language": {
                        url: "http://localhost/sis-track/lib/js/es.json"
                    }
                });
            
            }
        })
}
function consultar(){
    $(document).ready(function(){
        if ( $.fn.dataTable.isDataTable( '#list_guias' ) ) {
            table = $('#list_guias').DataTable();
            table.destroy();
            dataTable();
        }else{
            dataTable();
        }
    })
}

//Registrar
function registrar(){
    let gl = $('#lote').val(), presentacion = $('#cantidad').val(),  error='';

    if(gl===''){ error+='Gran Lote<br>'; } if(presentacion===''){ error+='Cantidad<br>'; }
    let template='';
    if(error!=''){
        template +=`
        <div class="alert alert-danger" role="alert" id="alerta_add">
            <strong>Error!</strong> Faltan los sigueinte datos<br>${error}
        </div>`;
        $('#result').html(template);
    }else{
        const postData = {
            gl: $('#lote').val(),
            fec_fisico: $('#f_fisico').val(),
            fec_libra: $('#f_libra').val(),
            remision: $('#remision').val(),
            cantidad: $('#cantidad').val(),
            ingreso: $('#ingreso').val(),
            recibo: $('#recibo').val(),
            t_novedad: $('#t_novedad').val(),
            observacion: $('#observacion').val(),
            id_entrada: $('#id_entrada').val()
        };
        
        $.post('back-end/entradas.php', postData, function(response){
            consultar();
            $('#form_entrada').trigger('reset');
            $('#result').html(response);
            setTimeout(function(){ $('#alerta_add').alert('close'); }, 3000);
        });  
    }
     
}

//Actualizar
function editar(){
    const postData = {
        gl: $('#lote_d').val(),
        fec_fisico: $('#f_fisico_d').val(),
        fec_libra: $('#f_libra_d').val(),
        remision: $('#remision_d').val(),
        cantidad: $('#cantidad_d').val(),
        ingreso: $('#ingreso_d').val(),
        recibo: $('#recibo_d').val(),
        t_novedad: $('#t_novedad_d').val(),
        observacion: $('#observacion_d').val(),
        orden_d: $('#orden_d').val(),
        id: $('#id_entrada_d').val()
    };
    $.post('back-end/entradas.php', postData, function(response){
        consultar();
        $('#result_edit').html(response);
        setTimeout(function(){ $('#alerta1').alert('close'); }, 3000);
    });  
}

//Eliminar
function eliminar(id){
    if(confirm('Seguro que desea borrar el registro?')){
        let id_articulo = id;
        $.ajax({
            url: 'back-end/articulos.php?id_articulo='+id_articulo,
            type: 'DELETE',
            data: {id_articulo},
            success:function(response){
                $('#resultado').html(response);
                consultar();
                setTimeout(function(){ $('#alerta_delete').alert('close'); }, 3000);
                //console.log(response);
            }
        }); 
        
    } 
}

//Buscar
function buscar(id){
    let id_entrada = id;
    $.ajax({
        url: 'back-end/entradas.php',
        type: 'GET',
        data: {id_entrada},
        success:function(response){
            const data = JSON.parse(response);
            $('#pedido').val(data.pedido);
            $('#cliente').val(data.cliente);
            $('#articulo').val(data.articulo);
            $('#id_entrada').val(data.id);
            //Detalles ent
            $('#pedido_d').val(data.pedido);
            $('#cliente_d').val(data.cliente);
            $('#articulo_d').val(data.articulo);
            $('#cantidad_d').val(data.cantidad); 
            $('#t_novedad_d').val(data.novedad);
            $('#observacion_d').val(data.obse);
            $('#lote_d').val(data.gl);
            $('#f_fisico_d').val(data.fe_ing_f);
            $('#f_libra_d').val(data.fe_ing_l);
            $('#remision_d').val(data.remision);
            $('#ingreso_d').val(data.ingresado);
            $('#recibo_d').val(data.recibido);
            $('#orden_d').val(data.orden);
            $('#id_entrada_d').val(data.id);
        }
    });  
}

//Listado Clientes
function list_clientes(){
    $.ajax({
        url: 'back-end/clientes.php',
        type: 'GET',
        success: function(response){
            let datas = JSON.parse(response);
            console.log(datas);
            let template = '<option value="">Seleccione Opcion......</option>';
            datas.forEach(data =>{
                template +=`
                <option value="${data.id}">${data.name}</option>
                `
            });
            $('#list_cliente').html(template);
        }
    })
}
